package cn.sikey.hmd.service.qr;

import cn.sikey.framework.common.pojo.CommonResult;

/**
 * @Author: qin
 * @Date: 2025/3/31
 * @Description: 二维码
 */
public interface QRCodeService {

    CommonResult<String> generateQRCode(String deviceId, String apiType,String path);

    /*CommonResult<Void> updateRemainingTimesExpireTime(String deviceId, String expireTime, int remainingTimes, int plansValidity);
    CommonResult<Void> updateRemainingTimes(UpdateRemainingTimesReqVO updateRemainingTimesReqVO);
    void updateDeviceQrcode(UpdateDeviceQrcodeReqVO updateDeviceQrcodeReqVO);
    RemainingTimesExpireTimeRespVO queryDeviceQrcodeDOByDeviceId(String deviceId);*/
}
